/**
 * @author: coyle
 * 202506
 * 招聘需求
 */

shr.defineClass("shr.rec.recuritmentDemandListEx", shr.rec.recuritmentDemandList, {
	initalizeDOM : function() {
		// 初始化JS环境
		shr.rec.recuritmentDemandListEx.superClass.initalizeDOM.call(this);
        var that = this;

         
        


    },
      

     synBeisenAction: function () {
         var that = this;
          var selectedId = this.getSelectedFields("id");
        if (selectedId == null || selectedId == '' || selectedId == undefined) {
            shr.showWarning({
                message: '请至少选择一条需要同步的数据！'
                , hideAfter: 3
            });
            return;
        }

        that.remoteCall({
            
            type: "post",
            method: "synBeisen",   //初始化汇总项目菜单
            async: false,
            param: {
                selectedId:  selectedId.join(","),
            },
            success: function (res) {
                if (res) {
                    $("#grid").jqGrid("reloadGrid");
					var msg = '选择'+res.allCount+'条数据';
					if(res.exeCount > 0 ){
						msg += ',推送'+res.exeCount+'条 ';
					}
					if(res.unCount > 0){
						msg += ',执行失败'+res.unCount+'条 '
					}
					msg += ',请查看列表的同步结果! '
                    shr.showSuccess({
						message: msg,
                        hideAfter: 5
                    });
                }

            }
        });
         
    },



    
 


    
});